Module jdk.scripting.nashorn
Package jdk.nashorn.api.scripting

# Interface ClassFilter

    @Deprecated(since="11",
                forRemoval=true)
    public interface ClassFilter

Deprecated, for removal: This API element is subject to removal in a future version.
Nashorn JavaScript script engine and APIs, and the jjs tool are deprecated with the intent to remove them in a future release.
Class filter (optional) to be used by nashorn script engine. jsr-223 program embedding nashorn script can set ClassFilter instance to be used when an engine instance is created.

Since:
  1.8u40

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `exposeToScripts​(String className)` | Deprecated, for removal: This API element is subject to removal in a future version. Should the Java class of the specified name be exposed to scripts?

## Method Details

### exposeToScripts

boolean exposeToScripts​(String className)
Deprecated, for removal: This API element is subject to removal in a future version.
Should the Java class of the specified name be exposed to scripts?

Parameters:
  `className` - is the fully qualified name of the java class being checked. This will not be null. Only non-array class names will be passed.
Returns:
  true if the java class can be exposed to scripts false otherwise